> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udtreenode.md).

# New-UDTreeNode

### Sinopsis

Crea un nodo de árbol.

### Sintaxis

```powershell
New-UDTreeNode [-Name] <String> [-Id <String>] [-Children <ScriptBlock>] [-Leaf] [-Icon <Object>] [-ExpandedIcon <Object>] [-Expanded] [<CommonParameters>]
```

### Descripción

Crea un nodo de árbol. Este cmdlet debe utilizarse con New-UDTreeView.

### Parámetros

#### -Name

El nombre del nodo. Se muestra dentro de la interfaz de usuario.

```
Required?                    true
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Id

El ID del nodo. Se pasa a la propiedad $EventData cuando se establece el bloque de script OnNodeClicked.

```
Required?                    false
Position?                    named
Default value                [Guid]::NewGuid()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Children

Los elementos secundarios de este nodo. Debe ser una colección de New-UDTreeNodes.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -Leaf [<SwitchParameter>]
        This is a leaf node and should not display children. Added in PSU 2.6.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon El icono que se mostrará para este nodo. Utilice New-UDIcon para crear este icono. Añadido en PSU 2.6.Required?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ExpandedIcon El icono que se mostrará para este nodo cuando esté expandido. Utilice New-UDIcon para crear este icono. Añadido en PSU 2.6.Required?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -Expanded \[\<SwitchParameter>]Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Salidas--------------------------> EJEMPLO 1 --------------------------PS > See New-UDTreeView for examples.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udtreenode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
